Impossível encontrar o pacote

1. Impossível encontrar o pacote

Pedro Regis
Hume42

(usa Ubuntu)

Enviado em 14/05/2017 - 19:10h

Fala galera! Criei um conta aqui pois preciso do auxílio de vocês. Adoro a Wikipédia e gosto de combater vandalismo por lá. Para isso eu uso um programa chamado Huggle, que analisa as diferenças de edição de maneira rápida e fácil e tem suporte para Linux.

Pois bem, migrei do Ubuntu 14.04 para o 16.04, e segui o mesmo procedimento que se encontra aqui e tinha dado certo antes: https://pt.wikipedia.org/wiki/Wikip%C3%A9dia:Huggle/Huggle3_Beta. O código é:
sudo add-apt-repository ppa:huggle-devs/ppa
sudo apt-get update
sudo apt-get install huggle

Acontece que agora, quando vou terminar a terceira e última etapa, aparece:
E: Impossível encontrar o pacote huggle 


O que pode estar acontecendo?



  


2. Re: Impossível encontrar o pacote

Fernando T. Da Silva
nandosilva

(usa Salix)

Enviado em 14/05/2017 - 19:35h

Se não conseguiu instalar pelo apt, pode ser que o nome do pacote real seja um pouco diferente agora ou baixe o source via git e compile conforme o link do qual você postou onde mostra a parte
git clone http://github.com/huggle/huggle3-qt-lx (você precisa ter o git instalado)

Sugestão: apt-cache search huggle (se não encontrar nada derivado pode ter ocorrido algum erro ao adicionar o ppa)



3. Re: Impossível encontrar o pacote

Izaias
izaias

(usa Ubuntu)

Enviado em 14/05/2017 - 19:36h

Hume42 escreveu:

Fala galera! Criei um conta aqui pois preciso do auxílio de vocês. Adoro a Wikipédia e gosto de combater vandalismo por lá. Para isso eu uso um programa chamado Huggle, que analisa as diferenças de edição de maneira rápida e fácil e tem suporte para Linux.

Pois bem, migrei do Ubuntu 14.04 para o 16.04, e segui o mesmo procedimento que se encontra aqui e tinha dado certo antes: https://pt.wikipedia.org/wiki/Wikip%C3%A9dia:Huggle/Huggle3_Beta. O código é:
sudo add-apt-repository ppa:huggle-devs/ppa
sudo apt-get update
sudo apt-get install huggle

Acontece que agora, quando vou terminar a terceira e última etapa, aparece:
E: Impossível encontrar o pacote huggle 


O que pode estar acontecendo?


Estranho não conseguir instalar, tem certeza que a versão de seu Ubuntu é mesmo a 16.04?
> http://i.imgur.com/gLq6b0jl.png



*******************************************************
* https://www.linuxcounter.net/cert/620448.png *
*******************************************************


4. Re: Impossível encontrar o pacote

Paulo Jr
Pebis

(usa Debian)

Enviado em 14/05/2017 - 19:39h



apt search huggle



5. Re: Impossível encontrar o pacote

Pedro Regis
Hume42

(usa Ubuntu)

Enviado em 14/05/2017 - 20:29h

nandosilva escreveu:

Se não conseguiu instalar pelo apt, pode ser que o nome do pacote real seja um pouco diferente agora ou baixe o source via git e compile conforme o link do qual você postou onde mostra a parte
git clone http://github.com/huggle/huggle3-qt-lx (você precisa ter o git instalado)

Sugestão: apt-cache search huggle (se não encontrar nada derivado pode ter ocorrido algum erro ao adicionar o ppa)


Olá, obrigado pela resposta! E já peço desculpas, eu sou muito burro e mesmo tendo explicado não entendi muito bem pois, apesar de ser usuário linux há anos, não sei nada de qualquer aspecto técnico pela burrice.

Você disse que precisava ter o git instalado. Segui o procedimento daqui:https://git-scm.com/book/pt-br/v1/Primeiros-passos-Instalando-Git
apt-get install git 


Dai para prosseguir com o seguinte código.
./configure --extension --qt4 #you can use --qt5 in case you have it
cd huggle_release
make
sudo make install


é dito:
# IMPORTANT
# The --extension option works only if you cloned this repository using git
# if you downloaded a gzip file, you can only use it after downloading them
# by hand into 'huggle/extension_list' folder


Não estou sabendo proceder por causa da burrice. Qual seria a diferença entre o clone e o arquivo zip? O que seria exatamente < by hand into 'huggle/extension_list' folder > ?



6. Re: Impossível encontrar o pacote

Pedro Regis
Hume42

(usa Ubuntu)

Enviado em 14/05/2017 - 20:31h

izaias escreveu:

Hume42 escreveu:

Fala galera! Criei um conta aqui pois preciso do auxílio de vocês. Adoro a Wikipédia e gosto de combater vandalismo por lá. Para isso eu uso um programa chamado Huggle, que analisa as diferenças de edição de maneira rápida e fácil e tem suporte para Linux.

Pois bem, migrei do Ubuntu 14.04 para o 16.04, e segui o mesmo procedimento que se encontra aqui e tinha dado certo antes: https://pt.wikipedia.org/wiki/Wikip%C3%A9dia:Huggle/Huggle3_Beta. O código é:
sudo add-apt-repository ppa:huggle-devs/ppa
sudo apt-get update
sudo apt-get install huggle

Acontece que agora, quando vou terminar a terceira e última etapa, aparece:
E: Impossível encontrar o pacote huggle 


O que pode estar acontecendo?


Estranho não conseguir instalar, tem certeza que a versão de seu Ubuntu é mesmo a 16.04?
> http://i.imgur.com/gLq6b0jl.png



*******************************************************
* https://www.linuxcounter.net/cert/620448.png *
*******************************************************


Sim, sem dúvidas é o 16.04, acabei de atualiza-lo.



7. Re: Impossível encontrar o pacote

Izaias
izaias

(usa Ubuntu)

Enviado em 15/05/2017 - 01:18h

Hume42 escreveu:

Sim, sem dúvidas é o 16.04, acabei de atualiza-lo.


Ok, poste o resultado: cat /etc/apt/sources.list



*******************************************************
* https://www.linuxcounter.net/cert/620448.png *
*******************************************************


8. Re: Impossível encontrar o pacote

Pedro Regis
Hume42

(usa Ubuntu)

Enviado em 15/05/2017 - 14:16h

izaias escreveu:

Ok, poste o resultado: cat /etc/apt/sources.list


Ok! Já ia me esquecendo em agradecer por ajudar :) O resultado foi isso (era para postar tudo?):

# deb cdrom:[Ubuntu 16.04.2 LTS _Xenial Xerus_ - Release i386 (20170215.2)]/ xenial main restricted

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://br.archive.ubuntu.com/ubuntu/ xenial main restricted
# deb-src http://br.archive.ubuntu.com/ubuntu/ xenial main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates main restricted
# deb-src http://br.archive.ubuntu.com/ubuntu/ xenial-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://br.archive.ubuntu.com/ubuntu/ xenial universe
# deb-src http://br.archive.ubuntu.com/ubuntu/ xenial universe
deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates universe
# deb-src http://br.archive.ubuntu.com/ubuntu/ xenial-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://br.archive.ubuntu.com/ubuntu/ xenial multiverse
# deb-src http://br.archive.ubuntu.com/ubuntu/ xenial multiverse
deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates multiverse
# deb-src http://br.archive.ubuntu.com/ubuntu/ xenial-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://br.archive.ubuntu.com/ubuntu/ xenial-backports main restricted universe multiverse
# deb-src http://br.archive.ubuntu.com/ubuntu/ xenial-backports main restricted universe multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
# deb http://archive.canonical.com/ubuntu xenial partner
# deb-src http://archive.canonical.com/ubuntu xenial partner

deb http://security.ubuntu.com/ubuntu xenial-security main restricted
# deb-src http://security.ubuntu.com/ubuntu xenial-security main restricted
deb http://security.ubuntu.com/ubuntu xenial-security universe
# deb-src http://security.ubuntu.com/ubuntu xenial-security universe
deb http://security.ubuntu.com/ubuntu xenial-security multiverse
# deb-src http://security.ubuntu.com/ubuntu xenial-security multiverse



9. Re: Impossível encontrar o pacote

Alberto Federman Neto.
albfneto

(usa Sabayon)

Enviado em 15/05/2017 - 15:17h

Tem algo estranho pq o PPA do pacote huggle, me parece, não aparece no seu sources list...
em todo o caso, o ultimo pacote huggle tá aqui:

https://github.com/huggle/huggle3-qt-lx/releases

precisa realamente do PPA? não pode baixar a cópia do GIT, e compilar ela?
¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨
Albfneto,
Ribeirão Preto, S.P., Brasil.
Usuário Linux, Linux Counter: #479903.
Distros Favoritas: Sabayon, Gentoo, openSUSE, Mageia e OpenMandriva.


10. Re: Impossível encontrar o pacote

Izaias
izaias

(usa Ubuntu)

Enviado em 15/05/2017 - 17:43h

Hume42 escreveu:

izaias escreveu:

Ok, poste o resultado: cat /etc/apt/sources.list


Ok! Já ia me esquecendo em agradecer por ajudar :) O resultado foi isso (era para postar tudo?):

# deb cdrom:[Ubuntu 16.04.2 LTS _Xenial Xerus_ - Release i386 (20170215.2)]/ xenial main restricted

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://br.archive.ubuntu.com/ubuntu/ xenial main restricted
# deb-src http://br.archive.ubuntu.com/ubuntu/ xenial main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates main restricted
# deb-src http://br.archive.ubuntu.com/ubuntu/ xenial-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://br.archive.ubuntu.com/ubuntu/ xenial universe
# deb-src http://br.archive.ubuntu.com/ubuntu/ xenial universe
deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates universe
# deb-src http://br.archive.ubuntu.com/ubuntu/ xenial-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://br.archive.ubuntu.com/ubuntu/ xenial multiverse
# deb-src http://br.archive.ubuntu.com/ubuntu/ xenial multiverse
deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates multiverse
# deb-src http://br.archive.ubuntu.com/ubuntu/ xenial-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://br.archive.ubuntu.com/ubuntu/ xenial-backports main restricted universe multiverse
# deb-src http://br.archive.ubuntu.com/ubuntu/ xenial-backports main restricted universe multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
# deb http://archive.canonical.com/ubuntu xenial partner
# deb-src http://archive.canonical.com/ubuntu xenial partner

deb http://security.ubuntu.com/ubuntu xenial-security main restricted
# deb-src http://security.ubuntu.com/ubuntu xenial-security main restricted
deb http://security.ubuntu.com/ubuntu xenial-security universe
# deb-src http://security.ubuntu.com/ubuntu xenial-security universe
deb http://security.ubuntu.com/ubuntu xenial-security multiverse
# deb-src http://security.ubuntu.com/ubuntu xenial-security multiverse


O endereço do PPA não consta em no sources.list
Estranho....

Vou instalar no Ubuntu aqui e retorno.


*******************************************************
* https://www.linuxcounter.net/cert/620448.png *
*******************************************************


11. Re: Impossível encontrar o pacote

Izaias
izaias

(usa Ubuntu)

Enviado em 15/05/2017 - 18:03h

Ninguém vai conseguir instalar: http://imgur.com/a/8NgBa
Isso é um erro do PPA e somente o proprietário do aplicativo pode corrigir.

1ª vez que vejo ocorrer esse problema com PPAs.



12. Re: Impossível encontrar o pacote

Pedro Regis
Hume42

(usa Ubuntu)

Enviado em 16/05/2017 - 00:58h

izaias escreveu:

Ninguém vai conseguir instalar: http://imgur.com/a/8NgBa
Isso é um erro do PPA e somente o proprietário do aplicativo pode corrigir.

1ª vez que vejo ocorrer esse problema com PPAs.


Vish, então o buraco é mais embaixo. Há um ano eu consegui instalar sem maiores empecilhos, deve ter ocorrido algum problema. Não só para resolver o meu caso, mas vou questionar esse problema na página do Huggle na Wikipédia em inglês para ver se arrumam. Irei tentar ver como esse git funciona, mas de qualquer forma agradeço pela ajuda! ;)



01 02



Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts